xtables-addons (3.30-1) unstable; urgency=medium

  * New upstream release 3.30
    - support for Linux 6.18
    - tarpit: use new Linux networking APIs to fix nonfunctional IPv6 send
      routine
  * d/watch
    - update signature mangling rule to support zstd compression

 -- Jeremy Sowden <azazel@debian.org>  Fri, 21 Nov 2025 10:38:03 +0000

xtables-addons (3.29-2) unstable; urgency=medium

  * d/control: -dkms: remove `Recommends:` on linux-headers
    (Closes: #1116090)
  * d/watch: upgrade to v5

 -- Jeremy Sowden <azazel@debian.org>  Sat, 27 Sep 2025 09:09:23 +0100

xtables-addons (3.29-1) unstable; urgency=medium

  * New upstream release 3.29
    - support for Linux 6.17 (Closes: #1111042)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 27 Aug 2025 11:36:26 +0100

xtables-addons (3.28-1) unstable; urgency=medium

  * New upstream release 3.28
    - support for Linux 6.15 (Closes: #1106719)
  * d/patches
    - remove upstreamed patches
  * d/control, d/control.modules.in
    - bump Standards-Version to 4.7.2
  * d/x-a-d.dkms.modules
    - remove obsolete compat_xtables module
  * d/genmodlist
    - replace several `echo`s with one `cat`

 -- Jeremy Sowden <azazel@debian.org>  Sun, 10 Aug 2025 16:12:29 +0100

xtables-addons (3.27-4) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/genmodlist
    - generate the current list of DKMS modules
    - output a comment indicating that the module list was generated
  * d/rules
    - use upper-case consistently for variables
  * d/patches
    - add numeric prefix to patches
  * d/s/options, d/p/02-clean-dependency-files.patch
    - instead of ignoring dependency files, patch upstream build to clean them

  [ Andreas Beckmann ]
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4.20" for using
    HASH_MAX_DESCSIZE
  * xtables-addons-source: Promote module-assistant to a dependency
  * Add autopkgtest for the -source package
  * xtables-addons-source: Generate debian/control on the fly
  * xtables-addons-common: Ship compat_*.h for use by dependent modules
  * Closes: #1098896

 -- Jeremy Sowden <azazel@debian.org>  Sun, 09 Mar 2025 16:49:15 +0000

xtables-addons (3.27-3) unstable; urgency=medium

  * d/control
    - remove explicit dependency on dkms
  * d/control, d/control.modules.in
    - run `wrap-and-sort -ast`
  * d/control.modules.in
    - bump Standards-Version to 4.7.0
    - replace pkg-config build-dep with pkgconf
    - update `Maintainer:` address
  * d/rules, d/xtables-addons-dkms.dkms.in
    - use `@` substitution delimiter
  * d/xtables-addons-dkms.dkms.*
    - use correct `DEST_MODULE_LOCATION` values
  * d/xtables-addons-dkms.dkms.in
    - `MAKE` should be an array
  * d/xtables-addons-dkms.dkms.modules
    - sort modules
    - add missing xt_asn module

 -- Jeremy Sowden <azazel@debian.org>  Tue, 07 Jan 2025 22:28:09 +0000

xtables-addons (3.27-2) unstable; urgency=medium

  * d/patches: add a patch to fix build of libxt_ACCOUNT.so and
    libxt_pknock.so (LP: #2080528)

 -- Jeremy Sowden <azazel@debian.org>  Tue, 03 Dec 2024 17:46:10 +0000

xtables-addons (3.27-1) unstable; urgency=medium

  * New upstream release 3.27
    - Support for Linux 6.12
    - xt_DNETMAP: cure crash on netns shutdown
  * d/control: bump Standards-Version to 4.7.0
  * d/u/signing-key.asc: update signing key

 -- Jeremy Sowden <azazel@debian.org>  Mon, 25 Nov 2024 11:59:07 +0000

xtables-addons (3.26-1) unstable; urgency=medium

  * New upstream release 3.26
    - xt_pknock: fix misuse of shash API
    - xt_SYSRQ: resolve crash, switch to new SHASH_ON_STACK
  * d/patches
    - drop geoip DB download patch

 -- Jeremy Sowden <azazel@debian.org>  Mon, 25 Mar 2024 22:33:20 +0000

xtables-addons (3.25-2) unstable; urgency=medium

  * d/control
    - wrap build-dep's
    - move libtext-csv-xs-perl from `Suggests:` to `Recommends:`
      Thanks to Fabio Pedretti for pointing out the discrepancy.
    - update pkg-config build-dep to pkgconf
  * d/control*, d/copyright
    - update my e-mail address

 -- Jeremy Sowden <azazel@debian.org>  Sun, 03 Mar 2024 21:44:45 +0000

xtables-addons (3.25-1) unstable; urgency=medium

  * New upstream version 3.25
    + xt_ipp2p: change text-search algo to KMP
    (fix some false negative matches)
  * d/gbp.conf: dedup `pristine-tar` setting
  * d/rules: support `terse` build option

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 18 Nov 2023 09:51:42 +0000

xtables-addons (3.24-2) unstable; urgency=medium

  * d/control: use tracker.d.o address for maintainer
  * d/rules: replace `override_dh_auto_install` with
    `execute_before_dh_auto_install`
  * d/s/options: ignore CPP dependency files (Closes: #1047926)

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 14 Aug 2023 19:16:07 +0100

xtables-addons (3.24-1) unstable; urgency=medium

  * New upstream version 3.24
    + xt_geoip: bump number of territories per rule
    + xt_geoip: use stdout for output and stderr for errors/diag in DB
      build scripts

 -- Jeremy Sowden <jeremy@azazel.net>  Tue, 13 Jun 2023 20:44:48 +0100

xtables-addons (3.23-1) unstable; urgency=medium

  * New upstream version 3.23
    + Support for Linux 6.2
  * d/control
    + bump Standards-Version to 4.6.2
  * d/s/lintian-overrides
    + suppress warning about missing upstream signature
  * d/u/signing-key.asc
    + add upstream signing key
    + minimize key
  * d/watch
    + enable upstream signature verification

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 21 Jan 2023 16:34:39 +0000

xtables-addons (3.22-1) unstable; urgency=medium

  * New upstream version 3.22
    + Support for Linux 6.1.
    + New `asn` matcher which allows a packet to be matched by its
      source or destination autonomous system number.
  * d/changelog: remove erroneous entry
  * d/gbp.conf: dch: tweak `commit-msg`

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 26 Oct 2022 19:56:21 +0100

xtables-addons (3.21-1) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/gbp.conf: buildpackage: enable pristine-tar
  * d/gbp.conf: dch: tweak commit-msg
  * d/gbp.conf: sort sections
  * d/gbp.conf: DEFAULT: update `debian-branch`
  * New upstream version 3.21
    + Support for Linux 5.19
    + Support for Linux 5.10.121 et seq.
  * d/patches: remove upstreamed patches
  * d/patches: add patches to fix typo's
  * d/watch: bump version
  * d/watch: use HTTPS URL
  * d/rules: remove empty directory
  * d/control.modules.in: define same source package as d/control
  * d/control, d/control.modules.in: sort fields
  * d/control, d/control.modules.in: remove obsolete `Breaks:`
  * d/control, d/control.modules.in: update depends
  * d/control, d/control.modules.in: remove superfluous b-dep on bzip2
  * d/control, d/control.modules.in: add `Multi-Arch:` fields
  * d/control, d/control.modules.in: update package descriptions
  * d/control, d/control.modules.in: bump Standards-Version to 4.6.1
  * d/control, d/copyright: use HTTPS URL's
  * d/copyright: update copyright field for debian/*
  * d/: replace globs with multi-arch variables in file paths
  * d/docs: README has been converted to rST

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

 -- Jeremy Sowden <jeremy@azazel.net>  Fri, 15 Jul 2022 11:50:30 +0100

xtables-addons (3.19-1) unstable; urgency=medium

  * New upstream version 3.19
    + Maximum supported kernel version bumped from 5.11 to 5.16.
    + Minimum supported kernel version bumped from 4.15 to 4.16.
    + xt_condition: make mutex per-net.
    + xt_ipp2p: add IPv6 support.
    + xt_ECHO, xt_TARPIT: do not build IPv6 parts if kernel has
      IPv6 build-time disabled.
  * d/control: bump Standards-Version to 4.6.0
  * d/patches: add upstream patch to support 5.17+ kernels

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 05 Feb 2022 20:26:06 +0000

xtables-addons (3.18-1) unstable; urgency=medium

  * New upstream version 3.18.
    + Support for Linux 5.11.
    + New `--mirai` option for xt_lscan.
    + Build-fixes for xt_pknock on 32-bit architectures.
    + xt_geoip_fetch script renamed to xt_geoip_query.
  * d/patches: delete upstreamed patches.
  * d/patches/change-download-to-dbip.patch: fix whitespace.
  * d/gbp.conf: add dch commit-msg.
  * d/control: bump Standards-Version to 4.5.1.
  * d/NEWS: mention rename of xt_geoip_fetch.
  * d/rules: pass V=1 to make to support blhc(1).

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 25 Aug 2021 21:18:41 +0100

xtables-addons (3.13-1) unstable; urgency=medium

  * New upstream version 3.13.
    + Support for Linux 5.10, 5.9.9, 5.4.78 and 4.19.158
      (closes: #975376, #975881).
    + Support for MaxMind GeoIP databases.
  * Drop upstreamed patches.
  * Fix reproducible builds.
    + Explicitly set owner and group for source tar-ball.
    + Explicitly set format of build-date for source tar-ball.
    + Only include the files necesssary to build the kernel modules in
      -dkms and -source packages (closes: #776688).
  * Add patch to remove superfluous xt_geoip_fetch_maxmind script.
  * Add patch to fix man-page typo.
  * Add patch to add man-pages for MaxMind scripts.
  * Add patch to fix xt_geoip_dl_maxmind.
  * Enable hardening.

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 26 Nov 2020 08:57:43 +0000

xtables-addons (3.11-1) unstable; urgency=medium

  * Update gbp.conf in order to merge upstream into debian and create
    pristine-tar deltas.
  * Refresh patches.
  * Run wrap-and-sort.
  * Add Rules-requires-root: no.
  * Bump compat to 13.
  * Update upstream details: the project has moved from sf.net to inai.de.
  * Remove undefined ${misc:Recommends}.
  * Update man-page paths: the upstream build installs them in the right place.
  * Add d/not-installed.
  * Install xt_geoip_fetch.
  * Install the GeoIP scripts into /usr/libexec, not /usr/lib. This
    fixes a lintian warning and is consistent with the paths in the
    man-pages.
  * The package has been adopted by me on behalf of the Netfilter team:
    update maintainer and uploaders accordingly (closes: #910000).
  * Add myself to d/copyright.
  * Add d/.gitignore
  * Rename default branch to debian.
  * d/rules extensively refactored.
    + Remove dh_shlibdeps override: it is no longer required.
    + Add dh_auto_clean override to disable parallel builds for
      `make distclean`.  Fixes building twice.
    + Add patch to get make to clean some extra build artefacts and remove
      all the artefacts cleaned by make from the dh_clean override.
    + Remove get-orig-source target.
    + Always configure without kbuild.
    + Use separate rules, instead of chaining them with `&&`.
    + Use pkg-info.mk in preference to explicitly parsing change-log.
    + Gather variables into one block and rename some of them.
    + Add separate targets for each group of rules.
    + The geoip userspace scripts and man-pages are packaged in -common, and
      are not required for the -source and -dkms packages, so omit them.
      Fixes ${perl:Depends} warning.
    + Tell tar to sort directory entries by name when creating source archive.
  * d/rules.modules tidied up.
    + Remove lots of comments.
    + Use `$(MAKE) $(MAKEARGS)` consistently.
    + Remove DEPMOD from m-a make arguments.
    + Use `dh clean` for `kdist_clean`.
  * Remove unused automake patch.
  * Forward cross-build patch.
  * Add the -dkms package to README.Debian.
  * Change section to "net"
  * New upstream version 3.11
    + Support for Linux 5.9
  * Drop upstreamed patches.
  * Add patch for pknlusr to accept group ID at the command-line.
  * Add a patch to create a man-page for pknlusr.
  * Add a note to d/NEWS about moving the xt_geoip scripts.

 -- Jeremy Sowden <jeremy@azazel.net>  Tue, 27 Oct 2020 13:30:55 +0000

xtables-addons (3.9-1) unstable; urgency=medium

  * New upstream release.
  * New patch to download geodata from db-ip.com (Closes: #950780).
    Thanks, Simone Rossetto.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Apr 2020 14:34:48 +1000

xtables-addons (3.8-2) unstable; urgency=medium

  * iptables-dev --> libxtables-dev (Closes: #950637).
    Thanks, Arturo Borrero Gonzalez.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 05 Feb 2020 08:51:39 +1100

xtables-addons (3.8-1) unstable; urgency=medium

  * New upstream release.
  * DH to version 12.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 04 Feb 2020 15:29:59 +1100

xtables-addons (3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Dec 2019 08:03:39 +1100

xtables-addons (3.6-1) unstable; urgency=medium

  * New upstream release.
    + support for Linux up to 5.4.
  * Corrected NEWS (Closes: #931842).
    Thanks, Alex Volkov.
  * Recommends += "libnet-cidr-lite-perl" (Closes: #910293).
    Thanks, Chris.
  * Fixed "xtables-addons-dkms.dkms.in" template.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Nov 2019 13:03:26 +1100

xtables-addons (3.5-0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol

  [ Aron Xu ]
  * Non-maintainer upload.
  * New upstream release (Closes: #917905, #934350)
  * Update xtables-addons-dkms.dkms.in accordingly

 -- Aron Xu <aron@debian.org>  Wed, 25 Sep 2019 14:25:38 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xtables-addons-common`.
